| Earth Observation Mission CFI Software DataHandling Software User Manual |

Public Member Functions | Public Attributes

# EECFI::OsvRec Class Reference

Class for containing a satellite state vector for a given time. More...

List of all members.

## Public Member Functions
| OsvRec ()
| Empty constructor.
| OsvRec (const double taiTim, const double utcTim, const double ut1Tim, const long absOrbi, const long referFrame, const long timeRef, double *posi, double *velo, const double qual)
| Constructor with parameters.
| ~OsvRec ()
| Destructor.
| OsvRec (const OsvRec &osvRec)
| Copy constructor.
OsvRec const | operator= (OsvRec const &osvIn)
| Operator copy.
## Public Attributes
double | taiTime
| TAI time.
double | utcTime
| UTC time.
double | ut1Time
| UT1 time.
long | absOrbit
| Absolute orbit.
long | refFrame
| Reference frame.
long | timeRefOf
| Reference time.
double | position [3]
| Position vector (x, y, z components).
double | velocity [3]
| Velocity vector (x, y, z components).
double | quality
| Quality index.

## Detailed Description

Class for containing a satellite state vector for a given time.

## Constructor & Destructor Documentation

EECFI::OsvRec::OsvRec | ( |  | ) |

Empty constructor.

EECFI::OsvRec::OsvRec | ( | const double | taiTim,
|  | const double | utcTim,
|  | const double | ut1Tim,
|  | const long | absOrbi,
|  | const long | referFrame,
|  | const long | timeRef,
|  | double * | posi,
|  | double * | velo,
|  | const double | qual |
| ) |  |  |

Constructor with parameters.

References absOrbit, position, quality, refFrame, taiTime, timeRefOf, ut1Time, utcTime, and velocity.

EECFI::OsvRec::~OsvRec | ( |  | ) |

Destructor.

EECFI::OsvRec::OsvRec | ( | const OsvRec & | osvRec | ) |

Copy constructor.

References absOrbit, position, quality, refFrame, taiTime, timeRefOf, ut1Time, utcTime, and velocity.

## Member Function Documentation

OsvRec const EECFI::OsvRec::operator= | ( | OsvRec const & | osvIn | ) |

Operator copy.

References absOrbit, position, quality, refFrame, taiTime, timeRefOf, ut1Time, utcTime, and velocity.

## Member Data Documentation

long EECFI::OsvRec::absOrbit

Absolute orbit.

Referenced by operator=(), and OsvRec().

double EECFI::OsvRec::position[3]

Position vector (x, y, z components).

Referenced by operator=(), and OsvRec().

double EECFI::OsvRec::quality

Quality index.

Referenced by operator=(), and OsvRec().

long EECFI::OsvRec::refFrame

Reference frame.

Referenced by operator=(), and OsvRec().

double EECFI::OsvRec::taiTime

TAI time.

Referenced by operator=(), and OsvRec().

long EECFI::OsvRec::timeRefOf

Reference time.

Referenced by operator=(), and OsvRec().

double EECFI::OsvRec::ut1Time

UT1 time.

Referenced by operator=(), and OsvRec().

double EECFI::OsvRec::utcTime

UTC time.

Referenced by operator=(), and OsvRec().

double EECFI::OsvRec::velocity[3]

Velocity vector (x, y, z components).

Referenced by operator=(), and OsvRec().